Subject: RE: New patch
From: [email-masked] (Parker, Ron)

23 Apr 1998 01:01:31 -0700
Message-ID: <c=US%a=_%p=Butler_Manufactu%l=BUILDINGS/BLDGSHUB/[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="---- =_NextPart_000_01BD6DDC.01EEC5A0"
To: Sergey Okhapkin <[email-masked]>,
        "'Gnu-Win32'"
	 <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------ =_NextPart_000_01BD6DDC.01EEC5A0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit

No we don't really need it.  I was wondering why you implemented this 
in the first place.  Using select() explains it all. I agree that 
PeekMessage should be used.

I thought you were trying to replace the entire message loop 
functionality with a UNIX like interface. (^8

-----Original Message-----
From: Sergey Okhapkin [mailto:[email-masked]]
Sent: Wednesday, April 22, 1998 9:47 AM
To: 'Gnu-Win32'; 'Parker, Ron'
Cc: [email-masked]'
Subject: RE: New patch

Parker, Ron wrote:
> It there a method to check for content on the queue, like 
PeekMessage?
> Would it make sense to have one?
>

Do we really need it? Just call PeekMessage() :-) The main goal of my 
patch
is to provide working select() on a mix of handles and message queue, 
it's
really neccessary to compile GDI version of Xemacs with cygwin.

Anyway, it's easy to implement a read() call without removing a 
message
from the queue, have you any suggestions how to control the behavior 
of
read() call?

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia

------ =_NextPart_000_01BD6DDC.01EEC5A0
Content-Type: application/ms-tnef
Content-Transfer-Encoding: base64

------ =_NextPart_000_01BD6DDC.01EEC5A0--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".